Prediction¶
15 endpoint(s).
| Endpoint | Method | Summary | Auth |
|---|---|---|---|
/api/v1/prediction/career |
POST |
Career Prediction | |
/api/v1/prediction/career-timing |
POST |
Career Timing | |
/api/v1/prediction/child-timing |
POST |
Children Timing | |
/api/v1/prediction/children |
POST |
Children/Progeny Prediction | |
/api/v1/prediction/education |
POST |
Education Prediction | |
/api/v1/prediction/health |
POST |
Health Prediction | |
/api/v1/prediction/health-timing |
POST |
Health Timing | |
/api/v1/prediction/marriage |
POST |
Marriage Prediction | |
/api/v1/prediction/marriage-timing |
POST |
Marriage Timing | |
/api/v1/prediction/multi-rule-analysis |
POST |
Multi-Rule Analysis | |
/api/v1/prediction/property |
POST |
Property Prediction | |
/api/v1/prediction/spiritual |
POST |
Spiritual Progress | |
/api/v1/prediction/travel |
POST |
Travel/Foreign Prediction | |
/api/v1/prediction/wealth |
POST |
Wealth Prediction | |
/api/v1/prediction/wealth-timing |
POST |
Wealth Timing |
POST /api/v1/prediction/career¶
Career Prediction
Career and profession analysis based on: - 10th house (karma, profession) - 10th lord position - Saturn (karaka for profession) - Mercury (business acumen) - Current Dasha
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/prediction/career' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/prediction/career-timing¶
Career Timing
Predict favorable periods for career advancement. Uses dasha and transit analysis.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/prediction/career-timing' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/prediction/child-timing¶
Children Timing
Predict favorable periods for children/progeny. 5th house and Jupiter analysis.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/prediction/child-timing' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/prediction/children¶
Children/Progeny Prediction
Children and progeny analysis based on: - 5th house (children) - 5th lord - Jupiter (karaka for children)
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/prediction/children' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/prediction/education¶
Education Prediction
Education and learning prospects based on: - 4th house (formal education) - 5th house (intelligence) - 9th house (higher education) - Mercury and Jupiter
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/prediction/education' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/prediction/health¶
Health Prediction
Health and longevity analysis based on: - Lagna and Lagna lord - 6th house (diseases) - 8th house (chronic issues) - Moon (mental health) - Sun (vitality)
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/prediction/health' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/prediction/health-timing¶
Health Timing
Predict periods requiring health attention. Based on 6th, 8th house and malefic transits.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/prediction/health-timing' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/prediction/marriage¶
Marriage Prediction
Marriage timing and prospects based on: - 7th house and 7th lord - Venus (karaka for marriage) - Navamsha indications - Current Dasha
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/prediction/marriage' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/prediction/marriage-timing¶
Marriage Timing
Predict favorable periods for marriage. Analyzes 7th house, Venus, Jupiter transits.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/prediction/marriage-timing' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/prediction/multi-rule-analysis¶
Multi-Rule Analysis
Advanced multi-rule reasoning for deeper analysis.
Combines multiple astrological conditions to find: - Composite patterns (multiple yogas combining) - Cancellation effects (positive cancelling negative) - Chain reactions (one condition triggering another) - Compound effects (severity escalation/reduction)
Life areas: marriage, career, health, wealth
Example: Saturn in 7th + Venus combust + Rahu aspect = "severe_marriage_delay" pattern
| Param | In | Type | Required | Description |
|---|---|---|---|---|
life_area |
query | string | no |
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/prediction/multi-rule-analysis' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/prediction/property¶
Property Prediction
Property and real estate analysis based on: - 4th house (property, land) - 4th lord - Mars (karaka for land) - Saturn (buildings)
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/prediction/property' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/prediction/spiritual¶
Spiritual Progress
Spiritual inclination and progress based on: - 9th house (dharma) - 12th house (moksha) - Jupiter and Ketu
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/prediction/spiritual' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/prediction/travel¶
Travel/Foreign Prediction
Foreign travel and settlement based on: - 9th house (long journeys) - 12th house (foreign lands) - Rahu (foreign connections) - 3rd house (short travels)
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/prediction/travel' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/prediction/wealth¶
Wealth Prediction
Wealth and financial prospects based on: - 2nd house (accumulated wealth) - 11th house (gains) - Jupiter (karaka for wealth) - Dhana yogas
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/prediction/wealth' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/prediction/wealth-timing¶
Wealth Timing
Predict favorable periods for financial gains. Analyzes 2nd, 11th houses and Jupiter/Venus periods.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/prediction/wealth-timing' \
-H 'Authorization: Bearer <API_KEY>'